<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */
// Start at 16/6/2016
if(!function_exists('s7upf_vc_header_meta4'))
{
    function s7upf_vc_header_meta4($attr)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'             => 'list-cart-search4',
            'check_list'        => '',
            'ac_icon'           => 'fa-user',
            'cart_icon'         => 'fa-opencart',
            'account_content'   => '',
            'add_list'          => '',
            'placeholder'       => esc_html__("Search...","lamerfashion"),
        ),$attr));
        $check_array = explode(',', $check_list);
        switch ($style) {
            case 'home9':
                $data = (array) vc_param_group_parse_atts( $add_list );
                $links_html = '';
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $links_html .=        '<li><a href="'.esc_url($value['link']).'">'.esc_html($value['title']).'</a></li>';
                    }
                }
                $html .=    '<ul class="info-total23">';
                if(!empty($links_html)) $html .= '<li>
                                                    <div class="cat-menu-box">
                                                        <a class="cat-menu-link" href="#"><i class="fa fa-bars" aria-hidden="true"></i></a>
                                                        <ul class="list-cat-menu">
                                                            '.$links_html.
                                                        '</ul>
                                                    </div>
                                                </li>';                
                if(in_array('account', $check_array)){
                    $html .=        '<li>
                                        <div class="my-account">
                                            <a href="#" class="my-account-link"><i class="fa '.esc_attr($ac_icon).'" aria-hidden="true"></i></a>';
                    if(!empty($account_content)){
                        $html .=            '<ul class="list-account list-unstyled">';
                        parse_str(urldecode($account_content), $account_list);
                        foreach ($account_list as $value) {
                            $icon_html = '';
                            if(!empty($value['icon'])){
                                if(strpos($value['icon'],'lnr') !== false) $icon_html = '<span class="lnr '.$value['icon'].'"></span>';
                                else $icon_html =   '<i class="fa '.$value['icon'].'"></i>';
                            }
                            $html .=            '<li><a href="'.esc_url($value['url']).'">'.$icon_html.' '.$value['title'].'</a></li>';
                        }
                        $html .=            '</ul>';
                    }
                    $html .=            '</div>
                                    </li>';
                }
                if(in_array('search', $check_array)){
                    $search_val = get_search_query();
                    if(!empty($search_val)) $search_val = $placeholder;
                    ob_start();?>
                        <form class="search-form-hover" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
                            <input name="s" type="text" value="<?php echo esc_attr($search_val);?>" placeholder="<?php echo esc_attr($placeholder)?>">
                            <input type="submit" value="">
                            <input type="hidden" name="post_type" value="product" />
                        </form>
                    <?php
                    $html .=        '<li>
                                        <div class="search-hover">
                                            <a class="search-link" href="#"><i aria-hidden="true" class="fa fa-search"></i></a>
                                            '.ob_get_clean().'
                                        </div>
                                    </li>';
                }    
                if(in_array('cart', $check_array)){
                    $html .=    '<li><div class="mini-cart">
                                    <a class="mini-cart-link" href="'.esc_url(wc_get_cart_url()).'">
                                        <span class="mini-cart-icon"><i class="fa '.esc_attr($cart_icon).'" aria-hidden="true"></i></span>
                                        <span class="mini-cart-number"><span class="cart-item-count">0</span></span>
                                    </a>';
                    $html .=        '<div class="mini-cart-content content-mini-cart">                                    
                                        <div class="mini-cart-main-content">'.s7upf_mini_cart().'</div>                    
                                        <input id="num-decimal" type="hidden" value="'.get_option("woocommerce_price_num_decimals").'">
                                        <input id="currency" type="hidden" value="'.get_option("woocommerce_currency").'">
                                    </div>';
                    $html .=    '</div></li>';
                }
                $html .=        '</ul>';
                break;

            case 'home5':
                $data = (array) vc_param_group_parse_atts( $add_list );
                $links_html = '';
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $links_html .=        '<li><a href="'.esc_url($value['link']).'" class="custom-link">'.esc_html($value['title']).'</a></li>';
                    }
                }
                $html .=    '<ul class="list-cart-search8">';
                $html .=        $links_html;                
                if(in_array('account', $check_array)){
                    $html .=        '<li>
                                        <div class="my-account my-account8">
                                            <a href="#" class="my-account-link"><i class="fa '.esc_attr($ac_icon).'" aria-hidden="true"></i></a>';
                    if(!empty($account_content)){
                        $html .=            '<ul class="list-account list-unstyled">';
                        parse_str(urldecode($account_content), $account_list);
                        foreach ($account_list as $value) {
                            $icon_html = '';
                            if(!empty($value['icon'])){
                                if(strpos($value['icon'],'lnr') !== false) $icon_html = '<span class="lnr '.$value['icon'].'"></span>';
                                else $icon_html =   '<i class="fa '.$value['icon'].'"></i>';
                            }
                            $html .=            '<li><a href="'.esc_url($value['url']).'">'.$icon_html.' '.$value['title'].'</a></li>';
                        }
                        $html .=            '</ul>';
                    }
                    $html .=            '</div>
                                    </li>';
                }
                if(in_array('search', $check_array)){
                    $search_val = get_search_query();
                    if(!empty($search_val)) $search_val = $placeholder;
                    ob_start();?>
                        <form class="search-form-hover" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
                            <input name="s" type="text" value="<?php echo esc_attr($search_val);?>" placeholder="<?php echo esc_attr($placeholder)?>">
                            <input type="submit" value="">
                            <input type="hidden" name="post_type" value="product" />
                        </form>
                    <?php
                    $html .=        '<li>
                                        <div class="search-hover search-hover8">
                                            <a class="search-link" href="#"><i aria-hidden="true" class="fa fa-search"></i></a>
                                            '.ob_get_clean().'
                                        </div>
                                    </li>';
                }    
                if(in_array('cart', $check_array)){
                    $html .=    '<li><div class="mini-cart mini-cart8">
                                    <a class="mini-cart-link" href="'.esc_url(wc_get_cart_url()).'">
                                        <span class="mini-cart-icon"><i class="fa '.esc_attr($cart_icon).'" aria-hidden="true"></i></span>
                                        <span class="mini-cart-number"><span class="cart-item-count">0</span></span>
                                    </a>';
                    $html .=        '<div class="mini-cart-content content-mini-cart">                                    
                                        <div class="mini-cart-main-content">'.s7upf_mini_cart().'</div>                    
                                        <input id="num-decimal" type="hidden" value="'.get_option("woocommerce_price_num_decimals").'">
                                        <input id="currency" type="hidden" value="'.get_option("woocommerce_currency").'">
                                    </div>';
                    $html .=    '</div></li>';
                }
                $html .=        '</ul>';
                break;

            case 'home4':
                $html .=    '<div class="search-cart14">';
                if(in_array('search', $check_array)){
                    $search_val = get_search_query();
                    if(!empty($search_val)) $search_val = $placeholder;
                    ob_start();?>
                        <div class="search-hover search-hover14">
                            <a class="search-hover-icon" href="#"><i aria-hidden="true" class="fa fa-search"></i></a>
                            <div class="smart-search">
                                <form class="smart-search-form" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
                                    <input name="s" type="text" value="<?php echo esc_attr($search_val);?>" placeholder="<?php echo esc_attr($placeholder)?>">
                                    <input type="submit" value="">
                                    <input type="hidden" name="post_type" value="product" />
                                </form>
                            </div>
                        </div>
                    <?php
                    $html .=    ob_get_clean();
                }
                if(in_array('account', $check_array)){
                    $html .=        '<div class="my-account style4 mini-cart mini-cart14">
                                        <a href="#" class="my-account-link"><span class="mini-cart-icon"><i class="fa '.esc_attr($ac_icon).'" aria-hidden="true"></i></span></a>';
                    if(!empty($account_content)){
                        $html .=        '<ul class="list-account list-unstyled">';
                        parse_str(urldecode($account_content), $account_list);
                        foreach ($account_list as $value) {
                            $icon_html = '';
                            if(!empty($value['icon'])){
                                if(strpos($value['icon'],'lnr') !== false) $icon_html = '<span class="lnr '.$value['icon'].'"></span>';
                                else $icon_html =   '<i class="fa '.$value['icon'].'"></i>';
                            }
                            $html .=        '<li><a href="'.esc_url($value['url']).'">'.$icon_html.' '.$value['title'].'</a></li>';
                        }
                        $html .=        '</ul>';
                    }
                    $html .=        '</div>';
                }    
                if(in_array('cart', $check_array)){
                    $html .=    '<div class="mini-cart mini-cart14">
                                    <a class="mini-cart-link" href="'.esc_url(wc_get_cart_url()).'">
                                        <span class="mini-cart-icon"><i class="fa '.esc_attr($cart_icon).'" aria-hidden="true"></i></span>
                                    </a>';
                    $html .=        '<div class="mini-cart-content content-mini-cart">                                    
                                        <div class="mini-cart-main-content">'.s7upf_mini_cart().'</div>                    
                                        <input id="num-decimal" type="hidden" value="'.get_option("woocommerce_price_num_decimals").'">
                                        <input id="currency" type="hidden" value="'.get_option("woocommerce_currency").'">
                                    </div>';
                    $html .=    '</div>';
                }
                $html .=    '</div>';
                break;
            
            default:
                $html .=    '<ul class="'.esc_attr($style).' list-inline">';
                if(in_array('search', $check_array)){
                    $search_val = get_search_query();
                    if(!empty($search_val)) $search_val = $placeholder;
                    ob_start();?>
                        <form action="<?php echo esc_url( home_url( '/'  ) ); ?>">
                            <input name="s" type="text" value="<?php echo esc_attr($search_val);?>" placeholder="<?php echo esc_attr($placeholder)?>">
                            <input type="submit" value="">
                            <input type="hidden" name="post_type" value="product" />
                        </form>
                    <?php
                    $html .=        '<li>
                                        <div class="search-form4">
                                            '.ob_get_clean().'
                                        </div>
                                    </li>';
                }
                if(in_array('account', $check_array)){
                    $html .=        '<li>
                                        <div class="my-account style4">
                                            <a href="#" class="my-account-link"><i class="fa '.esc_attr($ac_icon).'" aria-hidden="true"></i></a>';
                    if(!empty($account_content)){
                        $html .=            '<ul class="list-account list-unstyled">';
                        parse_str(urldecode($account_content), $account_list);
                        foreach ($account_list as $value) {
                            $icon_html = '';
                            if(!empty($value['icon'])){
                                if(strpos($value['icon'],'lnr') !== false) $icon_html = '<span class="lnr '.$value['icon'].'"></span>';
                                else $icon_html =   '<i class="fa '.$value['icon'].'"></i>';
                            }
                            $html .=            '<li><a href="'.esc_url($value['url']).'">'.$icon_html.' '.$value['title'].'</a></li>';
                        }
                        $html .=            '</ul>';
                    }
                    $html .=            '</div>
                                    </li>';
                }    
                if(in_array('cart', $check_array)){
                    $html .=    '<li><div class="mini-cart style4">
                                    <a class="mini-cart-link" href="'.esc_url(wc_get_cart_url()).'">
                                        <span class="mini-cart-icon"><i class="fa '.esc_attr($cart_icon).'" aria-hidden="true"></i></span>
                                        <span class="mini-cart-number"><span class="cart-item-count">0</span></span>
                                    </a>';
                    $html .=        '<div class="mini-cart-content content-mini-cart">                                    
                                        <div class="mini-cart-main-content">'.s7upf_mini_cart().'</div>                    
                                        <input id="num-decimal" type="hidden" value="'.get_option("woocommerce_price_num_decimals").'">
                                        <input id="currency" type="hidden" value="'.get_option("woocommerce_currency").'">
                                    </div>';
                    $html .=    '</div></li>';
                }
                $html .=        '</ul>';
                break;
        }        
        return $html;
    }
}

stp_reg_shortcode('sv_header_meta4','s7upf_vc_header_meta4');

vc_map( array(
    "name"      => esc_html__("SV Header meta 4", 'lamerfashion'),
    "base"      => "sv_header_meta4",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "holder" => "div",
            "heading" => esc_html__("Style",'lamerfashion'),
            "param_name" => "style",
            "value"     => array(
                esc_html__("Default",'lamerfashion')   => 'list-cart-search4',
                esc_html__("Home 4",'lamerfashion')   => 'home4',
                esc_html__("Home 5",'lamerfashion')   => 'home5',
                esc_html__("Home 9",'lamerfashion')   => 'home9',
                )
        ),
        array(
            "type" => "param_group",
            "heading" => esc_html__("Add Links",'lamerfashion'),
            "param_name" => "add_list",
            "params"    => array(
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Title",'lamerfashion'),
                    "param_name" => "title",
                ),
                array(
                    "type" => "textfield",
                    "heading" => esc_html__("Link",'lamerfashion'),
                    "param_name" => "link",
                ),
            ),
            "dependency"    => array(
                "element"   => 'style',
                "value"   => array('home5','home9'),
                )
        ),
        array(
            "type" => "checkbox",
            "holder" => "div",
            "heading" => esc_html__("Box Display",'lamerfashion'),
            "param_name" => "check_list",
            "value"     => array(
                esc_html__("Account",'lamerfashion')   => 'account',
                esc_html__("Search",'lamerfashion')    => 'search',
                esc_html__("Mini Cart",'lamerfashion') => 'cart',
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Account Icon",'lamerfashion'),
            "param_name" => "ac_icon",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker',
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Cart Icon",'lamerfashion'),
            "param_name" => "cart_icon",
            'edit_field_class'=>'vc_col-sm-12 vc_column sv_iconpicker',
        ),        
        array(
            "type" => "textfield",
            "holder" => "div",
            "heading" => esc_html__("Place holder input",'lamerfashion'),
            "param_name" => "placeholder",
        ),
        array(
            "type" => "add_icon_link",
            "heading" => esc_html__("Account Content",'lamerfashion'),
            "param_name" => "account_content",
        ),
    )
));