<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 26/12/15
 * Time: 10:00 AM
 */

if(!function_exists('sv_vc_mailchimp'))
{
    function sv_vc_mailchimp($attr)
    {
        $html = $bg_class = '';
        extract(shortcode_atts(array(
            'style'         => 'newsletter-form',
            'title'         => '',
            'des'           => '',
            'placeholder'   => '',
            'submit'        => '',
            'form_id'       => '',
        ),$attr));
        $form_html = apply_filters('sv_remove_autofill',do_shortcode('[mc4wp_form id="'.$form_id.'"]'));
        switch ($style) {
            case 'newsletter9':
                $html .=    '<div class="'.esc_attr($style).' sv-mailchimp-form" data-placeholder="'.$placeholder.'" data-submit="'.$submit.'">
                                <h2 class="title-footer9">'.esc_html($title).'</h2>
                                '.$form_html.'
                            </div>';
                break;

            case 'newsletter-form7':
                $html .=    '<div class="'.esc_attr($style).' sv-mailchimp-form" data-placeholder="'.$placeholder.'" data-submit="'.$submit.'">
                                <h2 class="title-footer7">'.esc_html($title).'</h2>
                                '.$form_html.'
                                <p>'.esc_html($des).'</p>
                            </div>';
                break;
            
            default:
                $html .=    '<div class="'.esc_attr($style).' sv-mailchimp-form" data-placeholder="'.$placeholder.'" data-submit="'.$submit.'">
                                <label>'.esc_html($title).'</label>
                                '.$form_html.'
                            </div>';
                break;
        }        
        return $html;
    }
}

stp_reg_shortcode('sv_mailchimp','sv_vc_mailchimp');

vc_map( array(
    "name"      => esc_html__("SV MailChimp", 'lamerfashion'),
    "base"      => "sv_mailchimp",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            'holder'      => 'div',
            "heading" => esc_html__("Style",'lamerfashion'),
            "param_name" => "style",
            "value"     => array(
                esc_html__("Home 2",'lamerfashion')     => 'newsletter-form',
                esc_html__("Home 4",'lamerfashion')     => 'newsletter-form4',
                esc_html__("Home 7",'lamerfashion')     => 'newsletter-form7',
                esc_html__("Home 6",'lamerfashion')     => 'newsletter9',            
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Form ID",'lamerfashion'),
            "param_name" => "form_id",
        ),
        array(
            "type" => "textfield",
            'holder'      => 'div',
            "heading" => esc_html__("Title",'lamerfashion'),
            "param_name" => "title",
        ),
        array(
            "type" => "textfield",
            'holder'      => 'div',
            "heading" => esc_html__("Description",'lamerfashion'),
            "param_name" => "des",
            "dependency"     => array(
                "element"   => 'style',
                "value"   => 'newsletter-form7',
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Placeholder Input",'lamerfashion'),
            "param_name" => "placeholder",
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Submit Label",'lamerfashion'),
            "param_name" => "submit",
        ),
    )
));