<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 31/08/15
 * Time: 10:00 AM
 */
/************************************Main Carousel*************************************/
if(!function_exists('s7upf_vc_slide_carousel'))
{
    function s7upf_vc_slide_carousel($attr, $content = false)
    {
        $html = $css_class = '';
        extract(shortcode_atts(array(
            'item'      => '1',
            'speed'     => '',
            'itemres'   => '',
            'nav_slider'=> 'nav-hidden',
            'animation' => '',
            'custom_css' => '',
            'banner_bg' => '',
            'el_class' => '',
        ),$attr));
        if(!empty($custom_css)) $css_class = vc_shortcode_custom_css_class( $custom_css );
            $html .=    '<div class="'.esc_attr($nav_slider.' '.$banner_bg .' '.$el_class.' '.$css_class).'">';
            $html .=        '<div class="wrap-item sv-slider" data-item="'.$item.'" data-speed="'.$speed.'" data-itemres="'.$itemres.'" data-animation="'.$animation.'" data-nav="'.$nav_slider.'" data-prev="'.esc_attr__("Prev","lamerfashion").'" data-next="'.esc_attr__("Next","lamerfashion").'">';
            $html .=            wpb_js_remove_wpautop($content, false);
            $html .=        '</div>';
            $html .=    '</div>';
        return $html;
    }
}
stp_reg_shortcode('slide_carousel','s7upf_vc_slide_carousel');
vc_map(
    array(
        'name'     => esc_html__( 'Carousel Slider', 'lamerfashion' ),
        'base'     => 'slide_carousel',
        'category' => esc_html__( '7Up-theme', 'lamerfashion' ),
        'icon'     => 'icon-st',
        'as_parent' => array( 'only' => 'vc_column_text,vc_single_image,slide_banner_item,slide_testimonial_item,slide_adv_item,slide_banner_item17' ),
        'content_element' => true,
        'js_view' => 'VcColumnView',
        'params'   => array(                       
            array(
                'heading'     => esc_html__( 'Item slider display', 'lamerfashion' ),
                'type'        => 'textfield',
                'description' => esc_html__( 'Enter number of item. Default is 1.', 'lamerfashion' ),
                'param_name'  => 'item',
            ),
            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Image style', 'lamerfashion' ),
                'param_name'  => 'banner_bg',
                'value'       => array(
                    esc_html__( 'Default', 'lamerfashion' )                  => '',
                    esc_html__( 'Banner Background', 'lamerfashion' )      => 'bg-slider',
                    esc_html__( 'Banner Background Parallax', 'lamerfashion' )      => 'bg-slider parallax-slider',
                ),
            ),
            array(
                'heading'     => esc_html__( 'Speed', 'lamerfashion' ),
                'type'        => 'textfield',
                'description' => esc_html__( 'Enter time slider go to next item. Unit (ms). Example 5000. If empty this field autoPlay is false.', 'lamerfashion' ),
                'param_name'  => 'speed',
            ),
            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Navigation style', 'lamerfashion' ),
                'param_name'  => 'nav_slider',
                'value'       => array(
                    esc_html__( 'Hidden', 'lamerfashion' )   => 'nav-hidden',
                    esc_html__( 'Default', 'lamerfashion' )   => 'testimo-slider',
                    esc_html__( 'Default Navigation', 'lamerfashion' )   => 'banner-slider4',
                    esc_html__( 'Home Navigation', 'lamerfashion' )   => 'banner-slider4 banner-slider6',
                    esc_html__( 'Home 6', 'lamerfashion' )   => 'banner-slider9',
                    esc_html__( 'Home 8', 'lamerfashion' )   => 'banner-slider4 banner-slider20',                    
                    esc_html__( 'Home 9', 'lamerfashion' )   => 'banner-slider23 img-directnav',
                    esc_html__( 'Home 1(fs)', 'lamerfashion' )   => 'banner-slider',
                ),
            ),
            array(
                'heading'     => esc_html__( 'Custom Item', 'lamerfashion' ),
                'type'        => 'textfield',
                'description' => esc_html__( 'Enter custom item for each window 360px,480px,768px,992px. Default is auto. Example: "2,3,4,5"', 'lamerfashion' ),
                'param_name'  => 'itemres',
            ),
            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Animation', 'lamerfashion' ),
                'param_name'  => 'animation',
                'value'       => array(
                    esc_html__( 'None', 'lamerfashion' )        => '',
                    esc_html__( 'Fade', 'lamerfashion' )        => 'fade',
                    esc_html__( 'BackSlide', 'lamerfashion' )   => 'backSlide',
                    esc_html__( 'GoDown', 'lamerfashion' )      => 'goDown',
                    esc_html__( 'FadeUp', 'lamerfashion' )      => 'fadeUp',
                    )
            ),
            array(
                "type"          => "css_editor",
                "heading"       => esc_html__("Custom Block",'lamerfashion'),
                "param_name"    => "custom_css",
                'group'         => esc_html__('Advanced','lamerfashion')
            ),            
            array(
                'heading'     => esc_html__( 'Add class', 'lamerfashion' ),
                'type'        => 'textfield',
                'param_name'  => 'el_class',
            ),
        )
    )
);

/*******************************************END MAIN*****************************************/


/**************************************BEGIN ITEM************************************/
//Banner item Frontend
if(!function_exists('s7upf_vc_slide_banner_item'))
{
    function s7upf_vc_slide_banner_item($attr, $content = false)
    {
        $html = $view_html = $view_html2 = '';
        extract(shortcode_atts(array(
            'style'             => '',
            'image'             => '',
            'link'              => '',
            'info_animation'    => '',
        ),$attr));
        $info_class = '';
        if(!empty($info_animation)) $info_class .= ' animated';
        if(!empty($image)){
            switch ($style){
                case 'home1 style1':
                    $html .=    '<div class="item-banner item-banner1">
                                    <div class="banner-thumb">
                                        <a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                    </div>
                                    <div class="banner-info '.esc_attr($style).'">
                                        '.wpb_js_remove_wpautop($content, true).'
                                    </div>
                                </div>';
                    break;
                    
                default:
                    $html .=    '<div class="item-slider '.esc_attr($style).'">
                                    <div class="banner-thumb"><a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a></div>
                                    <div class="banner-thumb-hidden hidden">'.wp_get_attachment_image($image,array(178,100)).'</div>';
                    if(!empty($content)){
                        $html .=    '<div class="banner-info '.esc_attr($info_class).'" data-animated="'.esc_attr($info_animation).'">
                                        <div class="inner-banner-info">
                                            '.wpb_js_remove_wpautop($content, true).'
                                        </div>
                                    </div>';
                    }
                    $html .=    '</div>';
                    break;
            }            
        }
        return $html;
    }
}
stp_reg_shortcode('slide_banner_item','s7upf_vc_slide_banner_item');

// Banner item
vc_map(
    array(
        'name'     => esc_html__( 'Banner Item', 'lamerfashion' ),
        'base'     => 'slide_banner_item',
        'icon'     => 'icon-st',
        'content_element' => true,
        'as_child' => array('only' => 'slide_carousel'),
        'params'   => array(
            array(
                'type'        => 'dropdown',
                'heading'     => esc_html__( 'Style', 'lamerfashion' ),
                'param_name'  => 'style',
                'value'       => array(
                    esc_html__( 'Default', 'lamerfashion' ) => '',
                    esc_html__( 'Home', 'lamerfashion' ) => 'item-banner6',
                    esc_html__( 'Home 3', 'lamerfashion' ) => 'item-banner4 style2',
                    esc_html__( 'Home 6', 'lamerfashion' ) => 'item-slider9',
                    esc_html__( 'Home 8', 'lamerfashion' ) => 'item-slider20',
                    esc_html__( 'Home 9', 'lamerfashion' ) => 'item-banner item-banner23',
                    esc_html__( 'Home 9', 'lamerfashion' ) => 'item-banner item-banner23',
                    esc_html__( 'Home 1(fs)', 'fashionstore' ) => 'home1 style1',
                    )
            ),            
            array(
                'type'        => 'attach_image',
                'heading'     => esc_html__( 'Image', 'lamerfashion' ),
                'param_name'  => 'image',
            ),
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Link Banner', 'lamerfashion' ),
                'param_name'  => 'link',
            ),
            array(
                'type' => 'animation_style',
                'heading' => esc_html__( 'Info Animation', 'lamerfashion' ),
                'param_name' => 'info_animation',
                'admin_label' => false,
                'value' => '',
                'settings' => array(
                    'type' => 'in',
                    'custom' => array(
                        array(
                            'label' => esc_html__( 'Default', 'lamerfashion' ),
                            'values' => array(
                                esc_html__( 'Top to bottom', 'lamerfashion' ) => 'top-to-bottom',
                                esc_html__( 'Bottom to top', 'lamerfashion' ) => 'bottom-to-top',
                                esc_html__( 'Left to right', 'lamerfashion' ) => 'left-to-right',
                                esc_html__( 'Right to left', 'lamerfashion' ) => 'right-to-left',
                                esc_html__( 'Appear from center', 'lamerfashion' ) => 'appear',
                            ),
                        ),
                    ),
                ),
                'description' => esc_html__( 'Select type of animation for element to be animated when it enters the browsers viewport (Note: works only in modern browsers).', 'lamerfashion' ),
            ),
            array(
                "type" => "textarea_html",
                "holder" => "div",
                "heading" => esc_html__("Content",'lamerfashion'),
                "param_name" => "content",
            ),
        )
    )
);

/**************************************END ITEM************************************/



/**************************************BEGIN ITEM************************************/
//Banner item Frontend
if(!function_exists('s7upf_vc_slide_testimonial_item'))
{
    function s7upf_vc_slide_testimonial_item($attr, $content = false)
    {
        $html = $view_html = $view_html2 = '';
        extract(shortcode_atts(array(
            'style'         => '',
            'image'         => '',
            'name'          => '',
            'link'          => '',
            'des'           => '',
            'pos'           => '',
        ),$attr));
        switch ($style) {
            case 'home2':
                $html .=    '<div class="item-testimo">
                                <div class="zoom-image">
                                    <a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                </div>
                                <p>'.$des.'</p>
                                <h3><a href="'.esc_url($link).'">'.esc_html($name).'</a></h3>
                            </div>';
                break;

            case 'home7':
                $html .=    '<div class="item-testimo7">
                                <p>'.esc_html($des).'</p>
                                <div class="testimo-author7">
                                    <div class="author-thumb7">
                                        <a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                    </div>
                                    <div class="author-info7">
                                        <h3><a href="'.esc_url($link).'">'.esc_html($name).'</a></h3>
                                        <span>'.esc_html($pos).'</span>
                                    </div>
                                </div>
                            </div>';
                break;
            
            default:
                $html .=    '<div class="item-testimo4">
                                <div class="testimo-thumb">
                                    <div class="zoom-image">
                                        <a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                    </div>
                                </div>
                                <div class="testimo-info">
                                    <h3><a href="'.esc_url($link).'">'.esc_html($name).'</a></h3>
                                    <p>'.$des.'</p>
                                </div>
                            </div>';
                break;
        }        
        return $html;
    }
}
stp_reg_shortcode('slide_testimonial_item','s7upf_vc_slide_testimonial_item');

// Banner item
vc_map(
    array(
        'name'     => esc_html__( 'Testimonial Item', 'lamerfashion' ),
        'base'     => 'slide_testimonial_item',
        'icon'     => 'icon-st',
        'content_element' => true,
        'as_child' => array('only' => 'slide_carousel'),
        'params'   => array(
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Type",'lamerfashion'),
                "param_name" => "style",
                "value"     => array(
                    esc_html__("Default",'lamerfashion')   => '',
                    esc_html__("Home 2",'lamerfashion')   => 'home2',
                    esc_html__("Home 7",'lamerfashion')   => 'home7',
                    ),
            ),
            array(
                'type'        => 'attach_image',
                'heading'     => esc_html__( 'Image', 'lamerfashion' ),
                'param_name'  => 'image',
            ),
            array(
                'type'        => 'textfield',                
                "holder"      => "h3",
                'heading'     => esc_html__( 'Name', 'lamerfashion' ),
                'param_name'  => 'name',
            ),
            array(
                "type" => "textfield",
                "holder" => "div",
                "heading" => esc_html__("Position",'lamerfashion'),
                "param_name" => "pos",
                "dependency"    => array(
                    "element"   => 'style',
                    "value"   => array('home7'),
                    )
            ),
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Link', 'lamerfashion' ),
                'param_name'  => 'link',
            ),
            array(
                "type" => "textarea",
                "holder" => "div",
                "heading" => esc_html__("Description",'lamerfashion'),
                "param_name" => "des",
            ),
        )
    )
);

/**************************************END ITEM************************************/

/**************************************BEGIN ITEM************************************/
//Banner item Frontend
if(!function_exists('s7upf_vc_slide_adv_item'))
{
    function s7upf_vc_slide_adv_item($attr, $content = false)
    {
        $html = '';
        extract(shortcode_atts(array(
            'style'         => '',
            'image'         => '',
            'name'          => '',
            'link'          => '',
            'des'           => '',
            'bg_info'       => '',
            'label'         => '',
        ),$attr));
        switch ($style) {
            case 'home19':
                $html .=    '<div class="item-collect19">
                                <div class="zoom-image">
                                    <a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                </div>
                                <a href="'.esc_url($link).'" class="shopnow">'.esc_html($label).'</a>
                            </div>';
                break;

            case 'home18':
                $html .=    '<div class="item-adv18">
                                <div class="adv-thumb">
                                    <a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                </div>
                                <div class="adv-info">
                                    <h2><a href="'.esc_url($link).'">'.esc_html($name).'</a></h2>
                                    <p>'.esc_html($des).'</p>
                                    <a href="'.esc_url($link).'" class="shopnow"><i class="fa fa-plus" aria-hidden="true"></i>'.esc_html($label).'</a>
                                </div>
                            </div>';
                break;

            case 'home11':
                if(!empty($bg_info)) $bg_info = S7upf_Assets::build_css('background: '.$bg_info.';');
                $html .=    '<div class="item-adv11">
                                <div class="adv-thumb">
                                    <a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                </div>
                                <div class="adv-info '.esc_attr($bg_info).'">
                                    <h2>'.esc_html($name).'</h2>
                                    <h3>'.esc_html($des).'</h3>
                                    <a href="'.esc_url($link).'" class="explore">'.esc_html($label).'</a>
                                </div>
                            </div>';
                break;
            
            default:
                $html .=    '<div class="item-shoplook7">
                                <div class="thumb-shoplook7">
                                    <a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                </div>
                                <div class="info-shoplook7">
                                    <h2>'.esc_html($name).'</h2>
                                    <a href="'.esc_url($link).'" class="shopnow"><span>'.esc_html($label).'</span></a>
                                </div>
                            </div>';
                break;
        }        
        return $html;
    }
}
stp_reg_shortcode('slide_adv_item','s7upf_vc_slide_adv_item');

// Banner item
vc_map(
    array(
        'name'     => esc_html__( 'Advantage Item', 'lamerfashion' ),
        'base'     => 'slide_adv_item',
        'icon'     => 'icon-st',
        'content_element' => true,
        'as_child' => array('only' => 'slide_carousel'),
        'params'   => array(
            array(
                "type" => "dropdown",
                "heading" => esc_html__("Style",'lamerfashion'),
                "param_name" => "style",
                "value"     => array(
                    esc_html__("Home 7",'lamerfashion')   => '',
                    esc_html__("Home 11",'lamerfashion')   => 'home11',
                    esc_html__("Home 18",'lamerfashion')   => 'home18',
                    esc_html__("Home 19",'lamerfashion')   => 'home19',
                    ),
            ),
            array(
                'type'        => 'attach_image',
                'heading'     => esc_html__( 'Image', 'lamerfashion' ),
                'param_name'  => 'image',
            ),
            array(
                'type'        => 'textfield',                
                "holder"      => "h3",
                'heading'     => esc_html__( 'Title', 'lamerfashion' ),
                'param_name'  => 'name',
            ),
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Description', 'lamerfashion' ),
                'param_name'  => 'des',
                "dependency"    => array(
                    "element"   => 'style',
                    "value"   => array('home11','home18'),
                    )
            ),
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Link', 'lamerfashion' ),
                'param_name'  => 'link',
            ),
            array(
                'type'        => 'colorpicker',
                'heading'     => esc_html__( 'Info Background', 'lamerfashion' ),
                'param_name'  => 'bg_info',
                "dependency"    => array(
                    "element"   => 'style',
                    "value"   => array('home11'),
                    )
            ),
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Label Button', 'lamerfashion' ),
                'param_name'  => 'label',
            ),
        )
    )
);

/**************************************END ITEM************************************/


//Your "container" content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_Slide_Carousel extends WPBakeryShortCodesContainer {
    }
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_Slide_Banner_Item extends WPBakeryShortCode {}
    class WPBakeryShortCode_Slide_Testimonial_Item extends WPBakeryShortCode {}
    class WPBakeryShortCode_Slide_Adv_Item extends WPBakeryShortCode {}
}