<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */
if(!function_exists('s7upf_vc_collections'))
{
    function s7upf_vc_collections($attr, $content = false)
    {
        $html = $content_html = '';
        extract(shortcode_atts(array(
            'style'         => 'info-left',
            'image'         => '',
            'link'          => '',
            'list'          => '',
            'title'         => '',
            'des'           => '',
            'effect'        => 'effect-1',
        ),$attr));
		$data = (array) vc_param_group_parse_atts( $list );
        switch ($style) {
            case 'masonry-list':
                $count = 1;
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $text1 =    esc_html__("quick view","lamerfashion");
                        $text2 =    esc_html__("shop now","lamerfashion");
                        if(isset($value['text1'])) if(!empty($value['text1'])) $text1 = $value['text1'];
                        if(isset($value['text2'])) if(!empty($value['text2'])) $text2 = $value['text2'];
                        $gallerys_html = '';
                        if(isset($value['gallerys'])){
                            $gallerys = $value['gallerys'];
                            if(!empty($gallerys)){
                                $gallerys = explode(',', $gallerys);
                                foreach ($gallerys as $ga_id) {
                                    $gallerys_html .=   '<div class="product-thumb">
                                                            <a href="'.esc_url($value['link']).'">'.wp_get_attachment_image($ga_id,'full').'</a>
                                                        </div>';
                                }
                            }
                        }
                        else $gallerys_html .=  '<div class="product-thumb">
                                                    <a href="'.esc_url($value['link']).'">'.wp_get_attachment_image($value['image'],'full').'</a>
                                                </div>';
                        if($count <= 3) $shown = 'shown';
                        else $shown = '';
                        $content_html .=    '<li class="'.esc_attr($shown).'">
                                                <div class="item-product20">
                                                    <div class="product-gall20">
                                                        <div class="owl-paginav">
                                                            <div class="wrap-item smart-slider" data-item="1" data-speed="" data-itemres="" data-prev="" data-next="" data-pagination="true" data-navigation="">
                                                                '.$gallerys_html.'
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="product-info">';
                        if(isset($value['title']))  $content_html .= '<h2 class="product-title"><a href="'.esc_url($value['link']).'">'.esc_html($value['title']).'</a></h2>';
                        if(isset($value['des']))    $content_html .= '<p class="product-desc">'.esc_html($value['des']).'</p>';
                        if(isset($value['link']))   $content_html .= '<a href="'.esc_url($value['link']).'" class="shopnow">'.esc_html__("shop now","lamerfashion").'</a>';
                        $content_html .=            '</div>
                                                </div>
                                            </li>';
                        $count++;
                    }
                }
                $html .=    '<div class="grid-masonry">
                                <ul id="grid-masonry" class="grid '.esc_attr($effect).'">
                                    '.$content_html.'
                                </ul>
                            </div>';
                break;

            case 'info-top':
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $text1 =    esc_html__("quick view","lamerfashion");
                        $text2 =    esc_html__("shop now","lamerfashion");
                        if(isset($value['text1'])) if(!empty($value['text1'])) $text1 = $value['text1'];
                        if(isset($value['text2'])) if(!empty($value['text2'])) $text2 = $value['text2'];
                        $gallerys_url = array();
                        if(isset($value['gallerys'])){
                            $gallerys = $value['gallerys'];
                            if(!empty($gallerys)){
                                $gallerys = explode(',', $gallerys);
                                foreach ($gallerys as $ga_id) {
                                    $gallerys_url[] = wp_get_attachment_image_url($ga_id,'full');
                                }
                            }
                            $gallerys_url = implode(',', $gallerys_url);
                        }
                        $content_html .= '<div class="col-md-4 col-sm-6 col-xs-12">
                                            <div class="item-adv15">
                                                <div class="adv-thumb">'.wp_get_attachment_image($value['image'],'full').'</div>
                                                <div class="adv-info">';
                        if(isset($value['title'])) $content_html .= '<h2>'.esc_html($value['title']).'</h2>';
                        if(!empty($gallerys_url))   $content_html .= '<a class="quickview-link gallery-photos" data-gallery="'.esc_attr($gallerys_url).'" href="#">'.$text1.'</a>';
                        if(isset($value['link'])) $content_html .=        '<a href="'.esc_url($value['link']).'" class="shopnow">'.$text2.'</a>';
                        $content_html .=        '</div>
                                            </div>
                                        </div>';
                    }
                }
                $html .=    '<div class="wrap-model-adv">';
                if(!empty($image)) $image = S7upf_Assets::build_css('background-image: url('.wp_get_attachment_image_url($image,'full').');');
                $html .=        '<div class="model-paral '.esc_attr($image).'">
                                    <div class="container">
                                        <div class="model-info">
                                            <div class="inner-model-info">
                                                <h3>'.esc_html($title).'</h3>
                                                '.wpb_js_remove_wpautop($des, true).'
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="list-adv15">
                                    <div class="container">
                                        <div class="inner-list-adv15">
                                            <div class="row">
                                            '.$content_html.'
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>';
                break;

            default:
                if(is_array($data)){
                    foreach ($data as $key => $value) {
                        $text1 =    esc_html__("quick view","lamerfashion");
                        $text2 =    esc_html__("shop now","lamerfashion");
                        if(isset($value['text1'])) if(!empty($value['text1'])) $text1 = $value['text1'];
                        if(isset($value['text2'])) if(!empty($value['text2'])) $text2 = $value['text2'];
                        $gallerys_url = array();
                        if(isset($value['gallerys'])){
                            $gallerys = $value['gallerys'];
                            if(!empty($gallerys)){
                                $gallerys = explode(',', $gallerys);
                                foreach ($gallerys as $ga_id) {
                                    $gallerys_url[] = wp_get_attachment_image_url($ga_id,'full');
                                }
                            }
                            $gallerys_url = implode(',', $gallerys_url);
                        }
                        $content_html .= '<div class="col-md-4 col-sm-6 col-xs-12">
                                            <div class="item-col-pro">
                                                <div class="product-thumb"><a href="'.esc_url($value['link']).'">'.wp_get_attachment_image($value['image'],'full').'</a></div>
                                                <div class="product-info">';
                        if(isset($value['title'])) $content_html .= '<h2>'.esc_html($value['title']).'</h2>';
                        if(!empty($gallerys))   $content_html .= '<a class="quickview-link gallery-photos" data-gallery="'.esc_attr($gallerys_url).'" href="#">'.$text1.'</a>';
                        if(isset($value['link'])) $content_html .=        '<a href="'.esc_url($value['link']).'" class="shopnow">'.$text2.'</a>';
                        $content_html .=        '</div>
                                            </div>
                                        </div>';
                    }
                }
                $html .=    '<div class="collect-image">
                                <div class="banner-collect-image '.esc_attr($style).'">
                                    <div class="collect-info">';
                if(!empty($title)) $html .= '<h2>'.esc_html($title).'</h2>';
                if(!empty($des)) $html .=   '<p>'.$des.'</p>';
                $html .=                '<a href="#" class="view-col">'.esc_html__("View Collection","lamerfashion").'</a>';
                $html .=            '</div>
                                    <div class="collect-thumb">
                                        <a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                    </div>
                                </div>
                                <div class="content-collect-image">
                                    <div class="row">
                                        '.$content_html.'
                                    </div>
                                    <a href="#" class="close-col">'.esc_html__("close","lamerfashion").'</a>
                                </div>
                            </div>';
                break;
        }
          
		return  $html;
    }
}

stp_reg_shortcode('sv_collections','s7upf_vc_collections');


vc_map( array(
    "name"      => esc_html__("SV Collection", 'lamerfashion'),
    "base"      => "sv_collections",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Style",'lamerfashion'),
            "param_name" => "style",
            "value"     => array(
                esc_html__("Info Left",'lamerfashion')    => 'info-left',
                esc_html__("Info Right",'lamerfashion')    => 'info-right',
                esc_html__("Info Top",'lamerfashion')    => 'info-top',
                esc_html__("Masonry list",'lamerfashion')    => 'masonry-list',
                )
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Effect",'lamerfashion'),
            "param_name" => "effect",
            "value"     => array(
                esc_html__("Effect 1",'lamerfashion')    => 'effect-1',
                esc_html__("Effect 2",'lamerfashion')    => 'effect-2',
                esc_html__("Effect 3",'lamerfashion')    => 'effect-3',
                esc_html__("Effect 4",'lamerfashion')    => 'effect-4',
                esc_html__("Effect 5",'lamerfashion')    => 'effect-5',
                esc_html__("Effect 6",'lamerfashion')    => 'effect-6',
                esc_html__("Effect 7",'lamerfashion')    => 'effect-7',
                esc_html__("Effect 8",'lamerfashion')    => 'effect-8',
                ),
            "dependency"    => array(
                "element"   => "style",
                "value"     => array("masonry-list"),
                )
        ),
        array(
            'heading'     => esc_html__( 'Title', 'lamerfashion' ),
            'holder'      => 'h3',
            'type'        => 'textfield',
            'param_name'  => 'title',
            "dependency"    => array(
                "element"   => "style",
                "value"     => array("info-left","info-right","info-top"),
                )
        ),
        array(
            'heading'     => esc_html__( 'Description', 'lamerfashion' ),
            'holder'      => 'p',
            'type'        => 'textarea',
            'param_name'  => 'des',
            "dependency"    => array(
                "element"   => "style",
                "value"     => array("info-left","info-right","info-top"),
                )
        ),
        array(
            "type"          => "attach_image",
            "heading"       => esc_html__("Image",'lamerfashion'),
            "param_name"    => "image",
            "dependency"    => array(
                "element"   => "style",
                "value"     => array("info-left","info-right","info-top"),
                )
        ),
        array(
            "type"          => "textfield",
            "heading"       => esc_html__("Link",'lamerfashion'),
            "param_name"    => "links",
            "dependency"    => array(
                "element"   => "style",
                "value"     => array("info-left","info-right","info-top"),
                )
        ),
        array(
            "type"          => "param_group",
            "heading"       => esc_html__("Add Image List",'lamerfashion'),
            "param_name"    => "list",
            "params"        => array(
                array(
                    "type"          => "textfield",
                    "heading"       => esc_html__("Title",'lamerfashion'),
                    "param_name"    => "title",
                ),
                array(
                    "type"          => "textfield",
                    "heading"       => esc_html__("Description",'lamerfashion'),
                    "param_name"    => "des",
                ),
                array(
                    "type"          => "attach_image",
                    "heading"       => esc_html__("Image",'lamerfashion'),
                    "param_name"    => "image",
                ),
                array(
                    "type"          => "textfield",
                    "heading"       => esc_html__("Link",'lamerfashion'),
                    "param_name"    => "link",
                ),
                array(
                    "type"          => "attach_images",
                    "heading"       => esc_html__("Gallerys",'lamerfashion'),
                    "param_name"    => "gallerys",
                ),
                array(
                    "type"          => "textfield",
                    "heading"       => esc_html__("Text 1",'lamerfashion'),
                    "param_name"    => "text1",
                ),
                array(
                    "type"          => "textfield",
                    "heading"       => esc_html__("Text 2",'lamerfashion'),
                    "param_name"    => "text2",
                ),
            )
        ),
    )
));