<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_search_form'))
{
    function s7upf_vc_search_form($attr)
    {
        $html = $label_sm = '';
        extract(shortcode_atts(array(
            'style' => 'smart-search1',
            'placeholder' => '',
            'live_search'       => 'on',
        ),$attr));
        ob_start();
        $search_val = get_search_query();
        if(!empty($search_val)) $search_val = $placeholder;
        switch ($style) {
            case 'home12':
                ?>
                <div class="search-hover search-hover12">
                    <a href="#" class="search-hover-icon"><i class="fa fa-search" aria-hidden="true"></i></a>
                    <div class="smart-search <?php echo esc_attr($style)?> live-search-<?php echo esc_attr($live_search)?>">
                        <div class="select-category">
                            <a href="#" class="category-toggle-link"><span><?php esc_html_e("Categories","lamerfashion")?></span></a>
                            <ul class="list-category-toggle list-unstyled">
                                <li class="active"><a href="#" data-filter=""><?php esc_html_e("Categories",'lamerfashion')?></a></li>
                                <?php 
                                    $product_cat_list = get_terms('product_cat');
                                    if(is_array($product_cat_list) && !empty($product_cat_list)){
                                        foreach ($product_cat_list as $cat) {
                                            echo '<li><a href="#" data-filter=".'.$cat->slug.'">'.$cat->name.'</a></li>';
                                        }
                                    }
                                ?>
                            </ul>
                        </div>
                        <form class="smart-search-form smart-search-form6" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
                            <input name="s" type="text" value="<?php echo esc_attr($search_val);?>" placeholder="<?php echo esc_attr($placeholder)?>">
                            <input type="hidden" name="post_type" value="product" />
                            <input type="submit" value="">
                            <input class="cat-value" type="hidden" name="product_cat" value="" />
                            <div class="list-product-search">
                                <p class="text-center"><?php esc_html_e("Please enter key search to display results.","lamerfashion")?></p>
                            </div>
                        </form>
                    </div>
                </div>
                <?php
                break;

            case 'home10':
                ?>
                <div class="search-form10 live-search-<?php echo esc_attr($live_search)?>">
                    <form action="<?php echo esc_url( home_url( '/'  ) ); ?>">
                        <input name="s" type="text" value="<?php echo esc_attr($search_val);?>" placeholder="<?php echo esc_attr($placeholder)?>">
                        <input type="submit" value="">
                        <input type="hidden" name="post_type" value="product" />
                        <div class="list-product-search">
                            <p class="text-center"><?php esc_html_e("Please enter key search to display results.","lamerfashion")?></p>
                        </div>
                    </form>
                </div>
                <?php
                break;

            case 'home7':
                ?>
                <div class="search-hover search-hover7">
                    <a href="#" class="search-hover-icon"><i class="fa fa-search" aria-hidden="true"></i></a>
                    <div class="smart-search <?php echo esc_attr($style)?> live-search-<?php echo esc_attr($live_search)?>">
                        <div class="select-category">
                            <a href="#" class="category-toggle-link"><span><?php esc_html_e("Categories","lamerfashion")?></span></a>
                            <ul class="list-category-toggle list-unstyled">
                                <li class="active"><a href="#" data-filter=""><?php esc_html_e("Categories",'lamerfashion')?></a></li>
                                <?php 
                                    $product_cat_list = get_terms('product_cat');
                                    if(is_array($product_cat_list) && !empty($product_cat_list)){
                                        foreach ($product_cat_list as $cat) {
                                            echo '<li><a href="#" data-filter=".'.$cat->slug.'">'.$cat->name.'</a></li>';
                                        }
                                    }
                                ?>
                            </ul>
                        </div>
                        <form class="smart-search-form" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
                            <input name="s" type="text" value="<?php echo esc_attr($search_val);?>" placeholder="<?php echo esc_attr($placeholder)?>">
                            <input type="hidden" name="post_type" value="product" />
                            <input type="submit" value="">
                            <input class="cat-value" type="hidden" name="product_cat" value="" />
                            <div class="list-product-search">
                                <p class="text-center"><?php esc_html_e("Please enter key search to display results.","lamerfashion")?></p>
                            </div>
                        </form>
                    </div>
                </div>
                <?php
                break;
            
            default:
                ?>
                <div class="smart-search <?php echo esc_attr($style)?> live-search-<?php echo esc_attr($live_search)?>">
                    <div class="select-category">
                        <a href="#" class="category-toggle-link">
                            <span><?php esc_html_e("Categories","lamerfashion")?></span>                            
                            <i class="fa fa-angle-down" aria-hidden="true"></i>
                        </a>
                        <ul class="list-category-toggle list-unstyled">
                            <li class="active"><a href="#" data-filter=""><?php esc_html_e("Categories",'lamerfashion')?></a></li>
                            <?php 
                                $product_cat_list = get_terms('product_cat');
                                if(is_array($product_cat_list) && !empty($product_cat_list)){
                                    foreach ($product_cat_list as $cat) {
                                        echo '<li><a href="#" data-filter=".'.$cat->slug.'">'.$cat->name.'</a></li>';
                                    }
                                }
                            ?>
                        </ul>
                    </div>
                    <form class="smart-search-form" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
                        <input name="s" type="text" value="<?php echo esc_attr($search_val);?>" placeholder="<?php echo esc_attr($placeholder)?>">
                        <input type="hidden" name="post_type" value="product" />
                        <input type="submit" value="">
                        <input class="cat-value" type="hidden" name="product_cat" value="" />
                        <div class="list-product-search">
                            <p class="text-center"><?php esc_html_e("Please enter key search to display results.","lamerfashion")?></p>
                        </div>
                    </form>
                </div>
                <?php
                break;
        }        
        $html .=    ob_get_clean();
        return $html;
    }
}

stp_reg_shortcode('sv_search_form','s7upf_vc_search_form');

vc_map( array(
    "name"      => esc_html__("SV Search Form", 'lamerfashion'),
    "base"      => "sv_search_form",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Style",'lamerfashion'),
            "param_name" => "style",
            "value"     => array(
                esc_html__("Home 1",'lamerfashion')   => 'home1',
                esc_html__("Home 7",'lamerfashion')   => 'home7',
                esc_html__("Home 10",'lamerfashion')   => 'home10',
                esc_html__("Home 12",'lamerfashion')   => 'home12',
                esc_html__("Home 17",'lamerfashion')   => 'smart-search17',
                esc_html__("Home 19",'lamerfashion')   => 'smart-search19',
                )
        ),
        array(
            "type" => "textfield",
            "holder" => "div",
            "heading" => esc_html__("Place holder input",'lamerfashion'),
            "param_name" => "placeholder",
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Hidden Categories",'lamerfashion'),
            "param_name" => "cats_hidden",
            "value"     => array(
                esc_html__("On",'lamerfashion')   => '',
                esc_html__("Off",'lamerfashion')   => 'off',
                )
        ),
    )
));
add_action( 'wp_ajax_live_search', 's7upf_live_search' );
add_action( 'wp_ajax_nopriv_live_search', 's7upf_live_search' );
if(!function_exists('s7upf_live_search')){
    function s7upf_live_search() {
        $key = $_POST['key'];
        $cat = $_POST['cat'];
        $post_type = $_POST['post_type'];
        $taxonomy = $_POST['taxonomy'];
        $trim_key = trim($key);
        $args = array(
            'post_type' => $post_type,
            's'         => $key,
            );
        if(!empty($cat)) {
            $args['tax_query'][]=array(
                'taxonomy'  =>  $taxonomy,
                'field'     =>  'slug',
                'terms'     =>  $cat
            );
        }
        $query = new WP_Query( $args );
        if( $query->have_posts() && !empty($key) && !empty($trim_key)){
            while ( $query->have_posts() ) : $query->the_post();
                global $product;
                echo    '<div class="item-search-pro">
                            <div class="search-ajax-thumb product-thumb">
                                <a href="'.esc_url(get_the_permalink()).'" class="product-thumb-link">
                                    '.get_the_post_thumbnail(get_the_ID(),array(50,50)).'
                                </a>
                            </div>
                            <div class="search-ajax-title"><h3 class="title14"><a href="'.esc_url(get_the_permalink()).'">'.get_the_title().'</a></h3></div>
                            <div class="search-ajax-price">
                                '.s7upf_get_price_html().'
                            </div>
                        </div>';
            endwhile;
        }
        else{
            echo '<p class="text-center">'.esc_html__("No any results with this keyword.","lamerfashion").'</p>';
        }
        wp_reset_postdata();
    }
}